Stahování aktualizačního balíčku selhalo

Odpověď od Michal
29. lis 2016 13:57 - 29. lis 2016 13:59 #129371
Ahoj. Možná je to stejný problem.

Nadávno jsem aktualizoval na webu joomlu na 3.6.2. - v pořádku
Teď jsem se pokoušel aktualizovat na verzi 3.6.4, to se ale nepodařílo a napsalo to:
Došlo k chybě.
0 No HTTP response received

Jak to opravit?

Pokus jak přes automatickou aktualizaci tak i přes pokus nahrání ze staženého balíčku selhal.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cony
29. lis 2016 23:02 #129377
Ne, to bude jiná chyba. Aktuální instalace je v pořádku? Spouštěl jste kontrolu databáze? Máte nastavené výchozí update servery? Cesty jsou zapisovatelné tak jak mají být?

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Michal
30. lis 2016 10:37 #129382
Aktuální instalace je ok.
Aktualizace na patch 3.6.2 proběhla v pořádku bez problému a 3.6.4 už nejde.
Nic jsem na joomle neměnil ani nijak neupravoval soubory.
Jedná se o web jimaservis.cz
Web je v provozu přes rok a nikdy nebyly problémy, až ted stou aktualizací.
Kontrolu databaze jsem nedělal. Jak?

Pokud by se tu našla hodná duše ktréra by se na to mrkla a vyřešila ten problem a napsala kde nebo včem je ten ptoblém by bych rád.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Michal
30. lis 2016 14:11 #129389
takže databáze zkontrolována:

Aktualizace verze databáze (3.6.0) neodpovídá verzi CMS (3.6.2).

Verze schema databáze (v #__schemas): 3.6.0-2016-06-05.
Aktualizace verze (v #__extensions): 3.6.0.
Ovladač databáze: mysql.
97 změn databáze bylo úspěšně zkontrolováno.
156 změn databáze nemění strukturu tabulek a bylo přeskočeno.

Po opravě:

Verze schema databáze (v #__schemas): 3.6.0-2016-06-05.
Aktualizace verze (v #__extensions): 3.6.2.
Ovladač databáze: mysql.
97 změn databáze bylo úspěšně zkontrolováno.
156 změn databáze nemění strukturu tabulek a bylo přeskočeno.

Ale stále nejde aktualizovat joomlu na 3.6.4
0 No HTTP response received

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Michal
01. pro 2016 14:42 #129401
pri pokusu nahrát update soubor (zip) a následnou instalací to píše:

Došlo k chybě.
403 Přístup zakázán

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Michal
05. pro 2016 10:30 #129464
Dokáže někdo pomoct?

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Michal
14. pro 2016 10:51 #129573
Hmm, asi budu muset hledat pomoc jinde, zde mi asi nikdo nepomůže. Děkuji za help.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Michal
14. pro 2016 11:08 #129575
Už to mám opravené.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od H13
14. pro 2016 11:09 - 14. pro 2016 11:12 #129576
Ahoj, možná by bylo dobrý napsat někde víc detailů, kde a jakej přesně ZIP nahráváš, případně screenshot.

403 může být i problém s právami nebo vlastnictvím? Případně nějaký úmyslný limit na serveru (např. přes .htaccess, a pod.) Co, když to zkusíš cestou FTP?

Phoca Gallery - http://www.phoca.cz/phocagallery - obrázková galerie (Joomla!)
Phoca Guestbook - http://www.phoca.cz/phocaguestbook - kniha návštěv (Joomla!)
Phoca Download - http://www.phoca.cz/phocadownload - stahování souborů (Joomla!)
Phoca Cart - http://www.phoca.cz/phocacart - e-shop,...

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cony
14. pro 2016 12:24 #129580
A možná by bylo dobré sem napsat jak jste to opravil, aby příště někdo s podobným problémem si to mohl dohledat...

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Teo
11. led 2017 09:30 #129850
Ahoj, taky se připojuji s podobným dotazem na testovacím serveru.
Aktualizace rozšíření jde v pohodě, ale aktualizace samotného Joomly nejde.
Mám verzi 3.6.4. Testuji to na amatérsky nastaveném Ubuntu 12.04, tak že tam bych možná (nebo spíš určitě) hledal příčinu, ale zatím jsem to nenašel. Napadlo mě, jestli na to má vliv nastavení Apache (php.ini) - open_basedir, upload_tmp_dir nebo něco podobného.
Ale je mi divné, že rozšíření aktualizovat jdou a samotná Joomla ne. Myslel jsem, že se využívá stejných cest.
Jinak jsem nastavil úplně všem složkám práva 777 a rekurzivně i všem souborům (jen na zkoušku, abych tuto možnost vyloučil). V praxi bych to tak samozřejmě nenechával.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cony
11. led 2017 17:23 #129854
No a co to přesně hlásí?

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Teo
13. led 2017 12:36 - 13. led 2017 12:38 #129874
Chyba
Stahování aktualizačního balíčku selhalo

Samozřejmě v červeném chybovém rámečku.
No a tohle se nestane, když aktualizuji jiné rozšíření, kde se taky ten balíček stahuje. Divné :-/

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od HonzaKr
13. led 2017 15:24 #129876
Může to dělat povolená velikost stažitelného souboru nebo max čas pro běh skriptu.

:: bývalý člen Joomlaportalu ::

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Teo
16. led 2017 22:41 #129922
To si myslím je v pořádku - web.oaznojmo.eu/06/phpinfo.php
Tam budou tutově špatně přidělený práva nebo fakt nevím. Ten server je určitě blbě nastavenej. Já to říkám pořád, když tomu nerozumím, nemám se do toho plést :-/
Ale byl bych moc vděčný, kdyby třeba někdo z těch informací PHP vyčetl, jestli je to v nastavení PHP (resp. Apache), abych se soustředil na jinou část serveru.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.